Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 6dc9ad8e1174127cbd29b9215ebfcb92d37022e4)
+++ sansview/perspectives/fitting/basepage.py	(revision 30d103a638e3855af3676341a2e1fef6c00a1161)
@@ -170,5 +170,5 @@
             Cancel the previous action
         """
-        print "enable undo"
+        #print "enable undo"
         event = PreviousStateEvent(page = self)
         wx.PostEvent(self.parent, event)
@@ -291,13 +291,9 @@
         self.disp_box = wx.ComboBox(self, -1)
 
-        for key in self.polydisp.iterkeys():
-            name = str(key.__name__)
-            if name=="ArrayDispersion":
-                # Remove the option until the rest of the code is ready for it
-                self.disp_box.Append("Select customized Model",key)
-            else:
-                self.disp_box.Append(name,key)
-        self.disp_box.SetSelection(0) 
-        
+        for key, value in self.polydisp.iteritems():
+            name = str(key)
+            self.disp_box.Append(name,value)
+        
+        self.disp_box.SetStringSelection("gaussian") 
         wx.EVT_COMBOBOX(self.disp_box,-1, self._on_select_Disp) 
              
@@ -306,5 +302,5 @@
         sizer_select_dispers.Add(self.disp_box,0,
                 wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE,border=5)
-        #sizer_select_dispers.Add((10,10)) 
+      
         self.model_disp.Hide()
         self.disp_box.Hide()
@@ -1528,11 +1524,13 @@
 
         n = self.disp_box.GetCurrentSelection()
+        name = self.disp_box.GetValue()
         dispersity= self.disp_box.GetClientData(n)
-        name= dispersity.__name__
+        
         self.disp_name = name
-        if name == "GaussianDispersion":
-            self._set_sizer_gaussian()
-        if name == "ArrayDispersion":
+        
+        if name.lower() == "array":
             self._set_sizer_arraydispersion()
+        else:
+            self._set_sizer_dispersion(dispersity= dispersity)
             
             
@@ -1590,5 +1588,5 @@
                 self.disp_cb_dict[p] = wx.CheckBox(self, -1, p, (10, 10))
                 self.state.disp_cb_dict[p]=  self.disp_cb_dict[p].GetValue()
-                print "self.enable2D",self.enable2D
+                #print "self.enable2D",self.enable2D
                 if not (self.enable2D or self.data.__class__.__name__ =="Data2D"):
                     self.disp_cb_dict[p].Hide()
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 6dc9ad8e1174127cbd29b9215ebfcb92d37022e4)
+++ sansview/perspectives/fitting/fitpage.py	(revision 30d103a638e3855af3676341a2e1fef6c00a1161)
@@ -241,5 +241,6 @@
         
     
-    def _set_sizer_gaussian(self):
+    #def _set_sizer_gaussian(self):
+    def _set_sizer_dispersion(self, dispersity):
         """
             draw sizer with gaussian dispersity parameters
@@ -261,5 +262,6 @@
         # Create the dispersion objects
         for item in self.model.dispersion.keys():
-            disp_model =  GaussianDispersion()
+            #disp_model =  GaussianDispersion()
+            disp_model = dispersity()
             self._disp_obj_dict[item] = disp_model
             self.model.set_dispersion(item, disp_model)
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 6dc9ad8e1174127cbd29b9215ebfcb92d37022e4)
+++ sansview/perspectives/fitting/modelpage.py	(revision 30d103a638e3855af3676341a2e1fef6c00a1161)
@@ -116,7 +116,8 @@
     
   
-    def _set_sizer_gaussian(self):
-        """
-            draw sizer with gaussian dispersity parameters
+    #def _set_sizer_gaussian(self):
+    def _set_sizer_dispersion(self, dispersity):
+        """
+            draw sizer with gaussian, log or schulz dispersity parameters
         """
         self.fittable_param=[]
@@ -134,5 +135,6 @@
         # Create the dispersion objects
         for item in self.model.dispersion.keys():
-            disp_model =  GaussianDispersion()
+            #disp_model =  GaussianDispersion()
+            disp_model = dispersity()
             self._disp_obj_dict[item] = disp_model
             self.model.set_dispersion(item, disp_model)
@@ -297,4 +299,5 @@
             self._draw_model()
             self.model_view.Disable()
+           
             
             self.set_model_param_sizer(self.model)
@@ -304,6 +307,7 @@
                 for item in self.orientation_params:
                     if item[2]!=None:      
+    
                         item[2].Enable()
-            if  self.disp_name == "ArrayDispersion":                
+            if  self.disp_name.lower() == "array":                
                 self._set_sizer_arraydispersion()  
             else:
@@ -437,9 +441,5 @@
         # Set the controls
         #For qmin and qmax, do not use format_number.(If do, qmin and max could be different from what is in the data.)
-        """
-        self.qmin.SetValue(format_number(self.qmin_x))
-        self.qmax.SetValue(format_number(self.qmax_x))
-        self.npts.SetValue(format_number(self.num_points))
-        """
+       
         self.qmin.SetValue(str(self.qmin_x))
         self.qmax.SetValue(str(self.qmax_x))
